##title=CSVTool Usage Sample
##

# CSV Tool object
csvtool = getattr(container, 'CSVTOOL_OBJECT_ID')

# keep original setting
orig_mode = csvtool.getMode()
orig_quoting = csvtool.getQuoting()
orig_delimiter = csvtool.getDelimiter()
orig_quotechar = csvtool.getQuotechar()

print """
---
mode : reader (single line)
string (single line)  -> list
---
"""
txt = 'Hi,How,Are,You?'
mode = 'reader (single line)'
csvtool.setMode(mode)
print "txt = '%s'" %(txt)
print 'csvtool(txt) =', csvtool(txt)
print

print """
---
mode : reader (multi line)
string (multi line)  -> list of list
---
"""
txt = 'Linus Torvalds,Linux\nBill Gates,Windows\nSteve Jobs,Mac'
mode = 'reader (multi line)'
csvtool.setMode(mode)
print 'txt = \"\"\"\n%s\n\"\"\"' %(txt)
print 'csvtool(txt) =\n', csvtool(txt)
print

print """
---
mode : writer (single line)
list -> string (single line)
---
"""
lst = ['wow','fuckin','cool']
mode = 'writer (single line)'
csvtool.setMode(mode)
print 'lst = %s' %(lst)
print "csvtool(lst) = '%s'" %(csvtool(lst))
print

print """
---
mode : writer (single line)
list of list -> string (multi line)
---
"""
lst = [['Linus Torvalds','Linux'],['Bill Gates','Windows'],['Steve Jobs','Mac']]
mode = 'writer (multi line)'
csvtool.setMode(mode)
print 'lst = %s' %(lst)
print 'csvtool(lst) = \"\"\"\n%s\n\"\"\"' %(csvtool(lst))

# restore original setting
csvtool.setMode(orig_mode)
csvtool.setQuoting(orig_quoting)
csvtool.setDelimiter(orig_delimiter)
csvtool.setQuotechar(orig_quotechar)

print """
Try with other settings - quoting, delimiter, quotechar.
See csv module reference for details.
http://www.python.org/doc/current/lib/module-csv.html
CSVTool Product tweaks csv module a little for use in Zope.
"""

return printed
